---
title: 创建用户
date: 2024-06-06T23:51:34Z
tags: []
---

## 创建登录名

```sql
CREATE LOGIN login_name 
    WITH PASSWORD = 'password';
```

> login_name 是要创建的登录名。
> password 是登录名的密码。
> 如果你想在特定数据库中为用户创建用户，可以使用以下语法：

## 创建用户

```sql
USE your_database_name;
CREATE USER user_name 
    FOR LOGIN login_name;
```

> your_database_name 是数据库的名称。
> user_name 是要创建的用户的名称。
> login_name 是已创建的登录名。
> 你也可以为用户分配权限：

## 给单个表赋权

```sql
GRANT SELECT, INSERT, UPDATE, DELETE ON your_table_name TO user_name;
```

> your_table_name 是要分配权限的表的名称。
> user_name 是已创建的用户的名称。
> 这只是基本的创建用户和分配权限的示例。在

## 给表赋权

```sql
USE your_database_name;

ALTER ROLE db_owner ADD MEMBER user_name;
```
